Schedule release for a dedicated server
POST/v1/hosts/dedicated_servers/{server_id}/schedule_release
Perform a POST request to /v1/hosts/dedicated_servers/{server_id}/schedule_release to schedule release of a server. Indicate a server for the operation by adding its ID in the path parameter and specify a date of the release. The server will be removed from the account on the release date.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of a server. |
Request Body
| Field | Details |
|---|---|
release_after? | string<date-time>The scheduled release time according to the pattern (see example): YYYY-MM-DDTHH:MM:SS+HH:MM ( |
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/hosts/dedicated_servers/YRdGwrdD/schedule_release" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "YRdGwrdD", "rack_id": "Jrb22WbW", "title": "title481", "location_id": 847, "location_code": "location1743", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.105", "public_ipv4_address": "169.254.0.105", "lease_start_at": "2026-05-25", "scheduled_release_at": "2026-06-27T08:00:00Z", "type": "dedicated_server", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": 2, "bandwidth_id": 21, "bandwidth_name": "20000 GB", "server_model_id": 62, "public_uplink_id": 51, "private_uplink_id": 52, "server_model_name": "server-model-693", "public_uplink_name": "Public 1 Gbps without redundancy", "operating_system_id": 21, "private_uplink_name": "Private 1 Gbps without redundancy", "operating_system_full_name": "CentOS 7 x86_64" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "ipxe_config": null, "userdata_sha256": null, "created_at": "2026-05-28T07:00:43Z", "updated_at": "2026-05-28T07:00:43Z"}